Subject: FVWM: -geometry problems...

From: Adam Kopacz <[email-masked]>
Date: Fri, 01 Aug 1997 08:09:30 +0200

hi,

i have many problems with '-geometry' :(

i start a program with geometry XxX+X-X in my desktop Nr.8 from desk 1
=>
it works.. but when i try to start it with the same geometry-params from
desk2
then it didn't work :-(
sample:

FvwmButtons 
.fvwm2rc 

AddToFunc fvwm2b_inet
+       "I" KillModule FvwmButtons
+       "I" Module FvwmButtons File /root/.fvwm2b_inet
         
AddToFunc fvwm2b_nrm
+       "I" KillModule FvwmButtons
+       "I" Module FvwmButtons File /root/.fvwm2b_nrm

*FvwmButtonsFile /root/.fvwm2b_nrm

.fvwm2b_nrm =>
Geometry 805x57+0-0

when i start FvwmButtons => no problems..
but when i start the Function =>

X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  4 (X_DestroyWindow)
  Resource id in failed request:  0x240000f
  Serial number of failed request:  147
  Current serial number in output stream:  150
File: Cause of next X Error.
X Error of failed request:  BadDrawable (invalid Pixmap or Window
parameter)
  Major opcode of failed request:  14 (X_GetGeometry)
  Resource id in failed request:  0x2400002
  Serial number of failed request:  562
  Current serial number in output stream:  562
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0x1c00003
  Serial number of failed request:  317
  Current serial number in output stream:  335                       

hellppp....

-- 

Bye,                        klospatz's Linux-Place (Babes/Files)
    Adam Kopacz (klospatz)       http://www.rat.de/Adam

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].